
[spec]

; Format and options of this spec file:
options = "+Freeciv-2.6-spec"

[info]

artists = "
    Tatu Rissanen <tatu.rissanen@hut.fi> [TR] (Trident terrain)
    GriffonSpade [GS]
"

[file]
gfx = "sextant/terrain2"

[grid_main]
x_top_left = 1
y_top_left = 1
dx = 30
dy = 30
pixel_border = 1

tiles = {"row", "column", "tag"

; Tundra Highlands Terrain (tundra)

; [TR][GS]
  2, 13, "t.l0.highlands_cell_r000"
  2, 13, "t.l0.highlands_cell_r010"
  2, 13, "t.l0.highlands_cell_d000"
  2, 13, "t.l0.highlands_cell_d010"
  2, 13, "t.l0.highlands_cell_l000"
  2, 13, "t.l0.highlands_cell_l010"
  2, 13, "t.l0.highlands_cell_u000"
  2, 13, "t.l0.highlands_cell_u010"
  
  2, 14, "t.l0.highlands_cell_r100"
  2, 14, "t.l0.highlands_cell_r110"
  2, 15, "t.l0.highlands_cell_r001"
  2, 15, "t.l0.highlands_cell_r011"
  2, 16, "t.l0.highlands_cell_r101"
  2, 16, "t.l0.highlands_cell_r111"

  2, 17, "t.l0.highlands_cell_d100"
  2, 17, "t.l0.highlands_cell_d110"
  2, 18, "t.l0.highlands_cell_d001"
  2, 18, "t.l0.highlands_cell_d011"
  2, 19, "t.l0.highlands_cell_d101"
  2, 19, "t.l0.highlands_cell_d111"

  2, 20, "t.l0.highlands_cell_l100"
  2, 20, "t.l0.highlands_cell_l110"
  2, 21, "t.l0.highlands_cell_l001"
  2, 21, "t.l0.highlands_cell_l011"
  2, 22, "t.l0.highlands_cell_l101"
  2, 22, "t.l0.highlands_cell_l111"

  2, 23, "t.l0.highlands_cell_u100"
  2, 23, "t.l0.highlands_cell_u110"
  2, 24, "t.l0.highlands_cell_u001"
  2, 24, "t.l0.highlands_cell_u011"
  2, 25, "t.l0.highlands_cell_u101"
  2, 25, "t.l0.highlands_cell_u111"

; Taiga Terrain (tundra)

; [TR][GS]
  2, 13, "t.l0.taiga_cell_r000"
  2, 13, "t.l0.taiga_cell_r010"
  2, 13, "t.l0.taiga_cell_d000"
  2, 13, "t.l0.taiga_cell_d010"
  2, 13, "t.l0.taiga_cell_l000"
  2, 13, "t.l0.taiga_cell_l010"
  2, 13, "t.l0.taiga_cell_u000"
  2, 13, "t.l0.taiga_cell_u010"
  
  2, 14, "t.l0.taiga_cell_r100"
  2, 14, "t.l0.taiga_cell_r110"
  2, 15, "t.l0.taiga_cell_r001"
  2, 15, "t.l0.taiga_cell_r011"
  2, 16, "t.l0.taiga_cell_r101"
  2, 16, "t.l0.taiga_cell_r111"

  2, 17, "t.l0.taiga_cell_d100"
  2, 17, "t.l0.taiga_cell_d110"
  2, 18, "t.l0.taiga_cell_d001"
  2, 18, "t.l0.taiga_cell_d011"
  2, 19, "t.l0.taiga_cell_d101"
  2, 19, "t.l0.taiga_cell_d111"

  2, 20, "t.l0.taiga_cell_l100"
  2, 20, "t.l0.taiga_cell_l110"
  2, 21, "t.l0.taiga_cell_l001"
  2, 21, "t.l0.taiga_cell_l011"
  2, 22, "t.l0.taiga_cell_l101"
  2, 22, "t.l0.taiga_cell_l111"

  2, 23, "t.l0.taiga_cell_u100"
  2, 23, "t.l0.taiga_cell_u110"
  2, 24, "t.l0.taiga_cell_u001"
  2, 24, "t.l0.taiga_cell_u011"
  2, 25, "t.l0.taiga_cell_u101"
  2, 25, "t.l0.taiga_cell_u111"

; Alpine Timber Terrain (tundra)

; [TR][GS]
  2, 13, "t.l0.alpine_cell_r000"
  2, 13, "t.l0.alpine_cell_r010"
  2, 13, "t.l0.alpine_cell_d000"
  2, 13, "t.l0.alpine_cell_d010"
  2, 13, "t.l0.alpine_cell_l000"
  2, 13, "t.l0.alpine_cell_l010"
  2, 13, "t.l0.alpine_cell_u000"
  2, 13, "t.l0.alpine_cell_u010"
  
  2, 14, "t.l0.alpine_cell_r100"
  2, 14, "t.l0.alpine_cell_r110"
  2, 15, "t.l0.alpine_cell_r001"
  2, 15, "t.l0.alpine_cell_r011"
  2, 16, "t.l0.alpine_cell_r101"
  2, 16, "t.l0.alpine_cell_r111"

  2, 17, "t.l0.alpine_cell_d100"
  2, 17, "t.l0.alpine_cell_d110"
  2, 18, "t.l0.alpine_cell_d001"
  2, 18, "t.l0.alpine_cell_d011"
  2, 19, "t.l0.alpine_cell_d101"
  2, 19, "t.l0.alpine_cell_d111"

  2, 20, "t.l0.alpine_cell_l100"
  2, 20, "t.l0.alpine_cell_l110"
  2, 21, "t.l0.alpine_cell_l001"
  2, 21, "t.l0.alpine_cell_l011"
  2, 22, "t.l0.alpine_cell_l101"
  2, 22, "t.l0.alpine_cell_l111"

  2, 23, "t.l0.alpine_cell_u100"
  2, 23, "t.l0.alpine_cell_u110"
  2, 24, "t.l0.alpine_cell_u001"
  2, 24, "t.l0.alpine_cell_u011"
  2, 25, "t.l0.alpine_cell_u101"
  2, 25, "t.l0.alpine_cell_u111"

; Arctic Hills Terrain (tundra)

; [TR][GS]
  2, 13, "t.l0.drifts_cell_r000"
  2, 13, "t.l0.drifts_cell_r010"
  2, 13, "t.l0.drifts_cell_d000"
  2, 13, "t.l0.drifts_cell_d010"
  2, 13, "t.l0.drifts_cell_l000"
  2, 13, "t.l0.drifts_cell_l010"
  2, 13, "t.l0.drifts_cell_u000"
  2, 13, "t.l0.drifts_cell_u010"
  
  2, 14, "t.l0.drifts_cell_r100"
  2, 14, "t.l0.drifts_cell_r110"
  2, 15, "t.l0.drifts_cell_r001"
  2, 15, "t.l0.drifts_cell_r011"
  2, 16, "t.l0.drifts_cell_r101"
  2, 16, "t.l0.drifts_cell_r111"

  2, 17, "t.l0.drifts_cell_d100"
  2, 17, "t.l0.drifts_cell_d110"
  2, 18, "t.l0.drifts_cell_d001"
  2, 18, "t.l0.drifts_cell_d011"
  2, 19, "t.l0.drifts_cell_d101"
  2, 19, "t.l0.drifts_cell_d111"

  2, 20, "t.l0.drifts_cell_l100"
  2, 20, "t.l0.drifts_cell_l110"
  2, 21, "t.l0.drifts_cell_l001"
  2, 21, "t.l0.drifts_cell_l011"
  2, 22, "t.l0.drifts_cell_l101"
  2, 22, "t.l0.drifts_cell_l111"

  2, 23, "t.l0.drifts_cell_u100"
  2, 23, "t.l0.drifts_cell_u110"
  2, 24, "t.l0.drifts_cell_u001"
  2, 24, "t.l0.drifts_cell_u011"
  2, 25, "t.l0.drifts_cell_u101"
  2, 25, "t.l0.drifts_cell_u111"

; Glacier Terrain (tundra)

; [TR][GS]
  2, 13, "t.l0.glacier_cell_r000"
  2, 13, "t.l0.glacier_cell_r010"
  2, 13, "t.l0.glacier_cell_d000"
  2, 13, "t.l0.glacier_cell_d010"
  2, 13, "t.l0.glacier_cell_l000"
  2, 13, "t.l0.glacier_cell_l010"
  2, 13, "t.l0.glacier_cell_u000"
  2, 13, "t.l0.glacier_cell_u010"
  
  2, 14, "t.l0.glacier_cell_r100"
  2, 14, "t.l0.glacier_cell_r110"
  2, 15, "t.l0.glacier_cell_r001"
  2, 15, "t.l0.glacier_cell_r011"
  2, 16, "t.l0.glacier_cell_r101"
  2, 16, "t.l0.glacier_cell_r111"

  2, 17, "t.l0.glacier_cell_d100"
  2, 17, "t.l0.glacier_cell_d110"
  2, 18, "t.l0.glacier_cell_d001"
  2, 18, "t.l0.glacier_cell_d011"
  2, 19, "t.l0.glacier_cell_d101"
  2, 19, "t.l0.glacier_cell_d111"

  2, 20, "t.l0.glacier_cell_l100"
  2, 20, "t.l0.glacier_cell_l110"
  2, 21, "t.l0.glacier_cell_l001"
  2, 21, "t.l0.glacier_cell_l011"
  2, 22, "t.l0.glacier_cell_l101"
  2, 22, "t.l0.glacier_cell_l111"

  2, 23, "t.l0.glacier_cell_u100"
  2, 23, "t.l0.glacier_cell_u110"
  2, 24, "t.l0.glacier_cell_u001"
  2, 24, "t.l0.glacier_cell_u011"
  2, 25, "t.l0.glacier_cell_u101"
  2, 25, "t.l0.glacier_cell_u111"

; Rocky Mountains Terrain (tundra)

; [TR][GS]
  2, 13, "t.l0.rockies_cell_r000"
  2, 13, "t.l0.rockies_cell_r010"
  2, 13, "t.l0.rockies_cell_d000"
  2, 13, "t.l0.rockies_cell_d010"
  2, 13, "t.l0.rockies_cell_l000"
  2, 13, "t.l0.rockies_cell_l010"
  2, 13, "t.l0.rockies_cell_u000"
  2, 13, "t.l0.rockies_cell_u010"
  
  2, 14, "t.l0.rockies_cell_r100"
  2, 14, "t.l0.rockies_cell_r110"
  2, 15, "t.l0.rockies_cell_r001"
  2, 15, "t.l0.rockies_cell_r011"
  2, 16, "t.l0.rockies_cell_r101"
  2, 16, "t.l0.rockies_cell_r111"

  2, 17, "t.l0.rockies_cell_d100"
  2, 17, "t.l0.rockies_cell_d110"
  2, 18, "t.l0.rockies_cell_d001"
  2, 18, "t.l0.rockies_cell_d011"
  2, 19, "t.l0.rockies_cell_d101"
  2, 19, "t.l0.rockies_cell_d111"

  2, 20, "t.l0.rockies_cell_l100"
  2, 20, "t.l0.rockies_cell_l110"
  2, 21, "t.l0.rockies_cell_l001"
  2, 21, "t.l0.rockies_cell_l011"
  2, 22, "t.l0.rockies_cell_l101"
  2, 22, "t.l0.rockies_cell_l111"

  2, 23, "t.l0.rockies_cell_u100"
  2, 23, "t.l0.rockies_cell_u110"
  2, 24, "t.l0.rockies_cell_u001"
  2, 24, "t.l0.rockies_cell_u011"
  2, 25, "t.l0.rockies_cell_u101"
  2, 25, "t.l0.rockies_cell_u111"

; Dry Hills Terrain (desert)

; [TR][GS]
  1, 13, "t.l0.dunes_cell_r000"
  1, 13, "t.l0.dunes_cell_r010"
  1, 13, "t.l0.dunes_cell_d000"
  1, 13, "t.l0.dunes_cell_d010"
  1, 13, "t.l0.dunes_cell_l000"
  1, 13, "t.l0.dunes_cell_l010"
  1, 13, "t.l0.dunes_cell_u000"
  1, 13, "t.l0.dunes_cell_u010"
  
  1, 14, "t.l0.dunes_cell_r100"
  1, 14, "t.l0.dunes_cell_r110"
  1, 15, "t.l0.dunes_cell_r001"
  1, 15, "t.l0.dunes_cell_r011"
  1, 16, "t.l0.dunes_cell_r101"
  1, 16, "t.l0.dunes_cell_r111"

  1, 17, "t.l0.dunes_cell_d100"
  1, 17, "t.l0.dunes_cell_d110"
  1, 18, "t.l0.dunes_cell_d001"
  1, 18, "t.l0.dunes_cell_d011"
  1, 19, "t.l0.dunes_cell_d101"
  1, 19, "t.l0.dunes_cell_d111"

  1, 20, "t.l0.dunes_cell_l100"
  1, 20, "t.l0.dunes_cell_l110"
  1, 21, "t.l0.dunes_cell_l001"
  1, 21, "t.l0.dunes_cell_l011"
  1, 22, "t.l0.dunes_cell_l101"
  1, 22, "t.l0.dunes_cell_l111"

  1, 23, "t.l0.dunes_cell_u100"
  1, 23, "t.l0.dunes_cell_u110"
  1, 24, "t.l0.dunes_cell_u001"
  1, 24, "t.l0.dunes_cell_u011"
  1, 25, "t.l0.dunes_cell_u101"
  1, 25, "t.l0.dunes_cell_u111"

; Badlands Terrain (desert)

; [TR][GS]
  1, 13, "t.l0.badlands_cell_r000"
  1, 13, "t.l0.badlands_cell_r010"
  1, 13, "t.l0.badlands_cell_d000"
  1, 13, "t.l0.badlands_cell_d010"
  1, 13, "t.l0.badlands_cell_l000"
  1, 13, "t.l0.badlands_cell_l010"
  1, 13, "t.l0.badlands_cell_u000"
  1, 13, "t.l0.badlands_cell_u010"
  
  1, 14, "t.l0.badlands_cell_r100"
  1, 14, "t.l0.badlands_cell_r110"
  1, 15, "t.l0.badlands_cell_r001"
  1, 15, "t.l0.badlands_cell_r011"
  1, 16, "t.l0.badlands_cell_r101"
  1, 16, "t.l0.badlands_cell_r111"

  1, 17, "t.l0.badlands_cell_d100"
  1, 17, "t.l0.badlands_cell_d110"
  1, 18, "t.l0.badlands_cell_d001"
  1, 18, "t.l0.badlands_cell_d011"
  1, 19, "t.l0.badlands_cell_d101"
  1, 19, "t.l0.badlands_cell_d111"

  1, 20, "t.l0.badlands_cell_l100"
  1, 20, "t.l0.badlands_cell_l110"
  1, 21, "t.l0.badlands_cell_l001"
  1, 21, "t.l0.badlands_cell_l011"
  1, 22, "t.l0.badlands_cell_l101"
  1, 22, "t.l0.badlands_cell_l111"

  1, 23, "t.l0.badlands_cell_u100"
  1, 23, "t.l0.badlands_cell_u110"
  1, 24, "t.l0.badlands_cell_u001"
  1, 24, "t.l0.badlands_cell_u011"
  1, 25, "t.l0.badlands_cell_u101"
  1, 25, "t.l0.badlands_cell_u111"

}
